id: hyperplanning-panel

info:
  name: HYPERPLANNING Login Panel - Detect
  author: righettod
  severity: info
  description: |
    HYPERPLANNING products was detected.
  reference:
    - https://www.index-education.com/fr/presentation-hyperplanning.php
  metadata:
    max-request: 1
    shodan-query: http.title:"HYPERPLANNING"
  tags: panel,hyperplanning,login,detect

http:
  - method: GET
    path:
      - "{{BaseURL}}"

    host-redirects: true

    matchers:
      - type: dsl
        dsl:
          - 'status_code == 200'
          - 'contains_any(to_lower(body), "hyperplanning</title>", "content=\"hyperplanning\"")'
        condition: and

    extractors:
      - type: regex
        part: header
        group: 1
        regex:
          - '(?i)Server:\s+HYPERPLANNING\s+([0-9.\s\-]+)'
# digest: 4a0a00473045022100e2c6ab80ceb46e99ea76634b648d30a5d2118807a92902e99125c4d612f8676102201f311265f6dff66ca8c3d057cffa51a53583adba9921f0ccaa0c603a0a38b166:922c64590222798bb761d5b6d8e72950